<script lang="ts">
    import { URL } from "./../config"
</script>

<div>
    <nav>
        <img src="/logo.png" alt="logo">
        <h1>Homeworker-Status</h1>

        <a href="{URL}/auth">Im Browser anmelden</a>
    </nav>
</div>

<style>
    div {
        background-color: var(--navigation);
        width: 100vw;
        height: 60px;
    }
    nav {
        width: 95vw;
        max-width: 1000px;

        display: block;
        margin: auto;

        display: grid;
        grid-template-columns: 50px 1fr auto;
        grid-template-rows: 1fr;
        align-items: center;
    }

    img {
        display: block;
        margin: auto;

        width: 30px;
        height: 30px;
    }
    h1 {
        font-size: 20px;
    }

    a {
        color: var(--background);
        text-decoration: none;

        background-color: var(--secondary);
        padding: 10px 12px;
        border-radius: 5px;
    }
</style>